package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.framework.web.domain.Server;
import com.ruoyi.system.domain_yada.CityFocusVO;
import com.ruoyi.system.domain_yada.CityInformation;
import com.ruoyi.system.domain_yada.OrientationVO;
import com.ruoyi.system.service_yada.ICityExpandService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.xml.crypto.Data;
import java.util.List;

/**
 * 城市扩张
 * @Author: JinSheng Song
 * @Date: 2022/7/1 10:09
 */

@RestController
@RequestMapping(value = "/CityExpand",produces = "application/json;charset=UTF-8")
public class CityExpandControllerr
{
    @Resource
    private ICityExpandService service;

    /**
     * 获取城市扩张方位
     * @param city
     * @param cityCh
     * @param year
     * @return
     */
    @RequestMapping(value = "/selectCityExpand",method = {RequestMethod.GET})
    public AjaxResult selectCityExpand(String city,String cityCh, String year)
    {
        List<CityFocusVO> value=service.selectExpand(city,cityCh,year);
        return  AjaxResult.success(value);
    }

    /**
     * 获取不透水面扩张方位
     * @param city
     * @param superior
     * @return
     */
    @RequestMapping(value = "/selectOrientation",method = {RequestMethod.GET})
    public AjaxResult selectOrientation(String city,String superior)
    {
        List<OrientationVO> value=service.selectOrientation(city,superior);
        return  AjaxResult.success(value);
    }

    /**
     * 获取城市不透水面各种信息
     * @param city
     * @param superior
     * @return
     */
    @RequestMapping(value = "/selectInformation",method = {RequestMethod.GET})
    public  AjaxResult selectInformation(String city,String superior){
        List<CityInformation> value= service.selectInfrom(city,superior);
        return AjaxResult.success(value);

    }
}
